%define upstream_name    Module-Pluggable-Ordered
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Call module plugins in a specified order
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(UNIVERSAL::require)
BuildArch: noarch


%description
This module behaves exactly the same as 'Module::Pluggable', supporting all
of its options, but also mixes in the 'call_plugins' and 'plugins_ordered'
methods to your class. 'call_plugins' acts a little like 'Class::Trigger';
it takes the name of a method, and some parameters. Let's say we call it
like so:

    __PACKAGE__->call_plugins("my_method", @something);

'call_plugins' looks at the plugin modules found using 'Module::Pluggable'
for ones which provide 'my_method_order'. It sorts the modules numerically
based on the result of this method, and then calls
'$_->my_method(@something)' on them in order. This produces an effect a
little like the System V init process, where files can specify where in the
init sequence they want to be called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.500.0-5.mga5
+ Revision: 743114
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.500.0-4.mga5
+ Revision: 685470
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.500.0-3.mga4
+ Revision: 513109
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-2.mga3
+ Revision: 369952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.500.0-1.mga1
+ Revision: 32197
- mageia rebuild
- imported package perl-Module-Pluggable-Ordered

